关于eclipse安装spring插件报错An error occurred while collecting items to be installed...解决方案

本文以eclipse4.7安装sts3.9.0为例,解决报错

An error occurred while collecting items to be installed session context was:(profile=D__DevelopTools_eclipse_jee-oxygen_eclipse, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).

No repository found containing: osgi.bundle,oracle.eclipse.tools.rest.lib,17.0.0.201709131633

在线安装

打开eclipse->Help->Install new software->Add,在Name中输入Spring(名字随意),Location中输入http://dist.springsource.com/release/TOOLS/update/e4.7/


点击OK,并选择需要安装的四个IDE


一路Next,等待安装,在中途可能出现

An error occurred while collecting items to be installed session context was:(profile=D__DevelopTools_eclipse_jee-oxygen_eclipse, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).

No repository found containing: osgi.bundle,oracle.eclipse.tools.rest.lib,17.0.0.201709131633

这个报错。

解决方案:

打开Window->Preferences->Install/Update->Available software Sites,将Oracle Enterprise Pack For Eclipse改为disable


然后按照以上步骤重新安装,即可成功!

以上就是本文的全部内容,希望对大家的学习有所帮助,也希望大家多多支持龙方网络。

郑重声明:本文版权包含图片归原作者所有,转载文章仅为传播更多信息之目的,如作者信息标记有误,请第一时间联系我们(delete@yzlfxy.com)修改或删除,多谢。

郑重声明:本文版权归原作者所有,转载文章仅为传播更多信息之目的,如作者信息标记有误,请第一时间联系我们修改或删除,多谢。

留言与评论(共有 0 条评论)
昵称:
匿名发表
   
验证码: